org.apache.fontbox.util.autodetect

## Class OS400FontDirFinder

- java.lang.Object
- - org.apache.fontbox.util.autodetect.NativeFontDirFinder
  - - org.apache.fontbox.util.autodetect.OS400FontDirFinder

All Implemented Interfaces:
  FontDirFinder

    public class OS400FontDirFinder
    extends NativeFontDirFinder

Font finder for OS/400 systems.

### Constructor Summary

Constructors
Constructor and Description
`OS400FontDirFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String[]` `getSearchableDirectories()` Returns an array of directories to search for fonts in.

### Methods inherited from class org.apache.fontbox.util.autodetect.NativeFontDirFinder

`find`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OS400FontDirFinder

    public OS400FontDirFinder()

### Method Detail

#### getSearchableDirectories

    protected String[] getSearchableDirectories()

Description copied from class: `NativeFontDirFinder`
Returns an array of directories to search for fonts in.

Specified by:
  `getSearchableDirectories` in class `NativeFontDirFinder`
Returns:
  an array of directories